gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.PageRange

Contents

- Exported types
- Methods
- Properties
  - end
  - start

Description

A range of pages to print.

See also `printSettingsSetPageRanges`.

Synopsis

- newtype PageRange = PageRange (ManagedPtr PageRange)
- newZeroPageRange :: MonadIO m => m PageRange
- getPageRangeEnd :: MonadIO m => PageRange -> m Int32
- setPageRangeEnd :: MonadIO m => PageRange -> Int32 -> m ()
- getPageRangeStart :: MonadIO m => PageRange -> m Int32
- setPageRangeStart :: MonadIO m => PageRange -> Int32 -> m ()

# Exported types

newtype PageRange Source #

Memory-managed wrapper type.

Constructors

PageRange (ManagedPtr PageRange) |

#### Instances

Instances details

Eq PageRange Source # |
Instance details Defined in GI.Gtk.Structs.PageRange Methods (==) :: PageRange -> PageRange -> Bool Source # (/=) :: PageRange -> PageRange -> Bool Source #
BoxedPtr PageRange Source # |
Instance details Defined in GI.Gtk.Structs.PageRange Methods boxedPtrCopy :: PageRange -> IO PageRange Source # boxedPtrFree :: PageRange -> IO () Source #
CallocPtr PageRange Source # |
Instance details Defined in GI.Gtk.Structs.PageRange Methods boxedPtrCalloc :: IO (Ptr PageRange) Source #
ManagedPtrNewtype PageRange Source # |
Instance details Defined in GI.Gtk.Structs.PageRange Methods toManagedPtr :: PageRange -> ManagedPtr PageRange Source #
tag ~ 'AttrSet => Constructible PageRange tag Source # |
Instance details Defined in GI.Gtk.Structs.PageRange Methods new :: MonadIO m => (ManagedPtr PageRange -> PageRange) -> [AttrOp PageRange tag] -> m PageRange Source #

newZeroPageRange :: MonadIO m => m PageRange Source #

Construct a `PageRange` struct initialized to zero.

# Methods

# Properties

## end

end of page range.

getPageRangeEnd :: MonadIO m => PageRange -> m Int32 Source #

Get the value of the “`end`” field. When overloading is enabled, this is equivalent to

    get pageRange #end

setPageRangeEnd :: MonadIO m => PageRange -> Int32 -> m () Source #

Set the value of the “`end`” field. When overloading is enabled, this is equivalent to

    set pageRange [ #end := value ]

## start

start of page range.

getPageRangeStart :: MonadIO m => PageRange -> m Int32 Source #

Get the value of the “`start`” field. When overloading is enabled, this is equivalent to

    get pageRange #start

setPageRangeStart :: MonadIO m => PageRange -> Int32 -> m () Source #

Set the value of the “`start`” field. When overloading is enabled, this is equivalent to

    set pageRange [ #start := value ]